using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Usuarios
{
    public class CreatePerfilDto
    {
        [Required(ErrorMessage = "El nombre del perfil es obligatorio.")]
        [StringLength(20, ErrorMessage = "El nombre del perfil no puede exceder los 20 caracteres.")]
        public string NombrePerfil { get; set; } = string.Empty;

        [StringLength(150, ErrorMessage = "La descripción no puede exceder los 150 caracteres.")]
        public string? Descripcion { get; set; }
    }
}